org.eclipse.actf.model.dom.odf.dr3d

## Class Dr3dConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.dr3d.Dr3dConstants

    public final class Dr3dConstants
    extends Object

Dr3dConstants defines the constant values used by dr3d namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_AMBIENT_COLOR`
`static String` `ATTR_DIFFUSE_COLOR`
`static String` `ATTR_DIRECTION`
`static String` `ATTR_DISTANCE`
`static String` `ATTR_ENABLED`
`static String` `ATTR_FOCAL_LENGTH`
`static String` `ATTR_LIGHTING_MODE`
`static String` `ATTR_PROJECTION`
`static String` `ATTR_SHADE_MODE`
`static String` `ATTR_SHADOW_SLANT`
`static String` `ATTR_SPECULAR`
`static String` `ATTR_VPN`
`static String` `ATTR_VRP`
`static String` `ATTR_VUP`
`static String` `DR3D_NAMESPACE_URI`
`static String` `ELEMENT_LIGHT`
`static String` `ELEMENT_SCENE`

### Constructor Summary

Constructors
Constructor and Description
`Dr3dConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DR3D_NAMESPACE_URI

    public static final String DR3D_NAMESPACE_URI

See Also:
  Constant Field Values

#### ELEMENT_LIGHT

    public static final String ELEMENT_LIGHT

See Also:
  Constant Field Values

#### ELEMENT_SCENE

    public static final String ELEMENT_SCENE

See Also:
  Constant Field Values

#### ATTR_DIFFUSE_COLOR

    public static final String ATTR_DIFFUSE_COLOR

See Also:
  Constant Field Values

#### ATTR_DIRECTION

    public static final String ATTR_DIRECTION

See Also:
  Constant Field Values

#### ATTR_ENABLED

    public static final String ATTR_ENABLED

See Also:
  Constant Field Values

#### ATTR_SPECULAR

    public static final String ATTR_SPECULAR

See Also:
  Constant Field Values

#### ATTR_VRP

    public static final String ATTR_VRP

See Also:
  Constant Field Values

#### ATTR_VPN

    public static final String ATTR_VPN

See Also:
  Constant Field Values

#### ATTR_VUP

    public static final String ATTR_VUP

See Also:
  Constant Field Values

#### ATTR_PROJECTION

    public static final String ATTR_PROJECTION

See Also:
  Constant Field Values

#### ATTR_DISTANCE

    public static final String ATTR_DISTANCE

See Also:
  Constant Field Values

#### ATTR_FOCAL_LENGTH

    public static final String ATTR_FOCAL_LENGTH

See Also:
  Constant Field Values

#### ATTR_SHADOW_SLANT

    public static final String ATTR_SHADOW_SLANT

See Also:
  Constant Field Values

#### ATTR_SHADE_MODE

    public static final String ATTR_SHADE_MODE

See Also:
  Constant Field Values

#### ATTR_AMBIENT_COLOR

    public static final String ATTR_AMBIENT_COLOR

See Also:
  Constant Field Values

#### ATTR_LIGHTING_MODE

    public static final String ATTR_LIGHTING_MODE

See Also:
  Constant Field Values

### Constructor Detail

#### Dr3dConstants

    public Dr3dConstants()